API reference · Organization

Teams

Teams and membership.

Base URL https://app.upfour.io/v1 · auth via Authorization: Bearer <key> · “Try it” runs from your browser — the key is kept in this tab only. Use a pls_test_ sandbox key to experiment freely.

GET /teams

scope team.write stable returns 200

ParameterInTypeNotes
limit query integer default 50
cursor query string
client_id query uuid
all_clients query boolean
q query string
sort query string
curl -s https://app.upfour.io/v1/teams \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

POST /teams

scope team.write stable returns 201

curl -s -X POST https://app.upfour.io/v1/teams \
  -H "Authorization: Bearer $UP4_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

GET /teams/{teamID}

scope team.write stable returns 200

ParameterInTypeNotes
teamIDrequired path uuid
curl -s https://app.upfour.io/v1/teams/<teamID> \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

PUT /teams/{teamID}

scope team.write stable returns 200

ParameterInTypeNotes
teamIDrequired path uuid
curl -s -X PUT https://app.upfour.io/v1/teams/<teamID> \
  -H "Authorization: Bearer $UP4_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

DELETE /teams/{teamID}

scope team.write stable returns 204

ParameterInTypeNotes
teamIDrequired path uuid
curl -s -X DELETE https://app.upfour.io/v1/teams/<teamID> \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

GET /teams/{teamID}/clients

scope team.write stable returns 200

ParameterInTypeNotes
teamIDrequired path uuid
curl -s https://app.upfour.io/v1/teams/<teamID>/clients \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

POST /teams/{teamID}/clients

scope team.write stable returns 201

ParameterInTypeNotes
teamIDrequired path uuid
curl -s -X POST https://app.upfour.io/v1/teams/<teamID>/clients \
  -H "Authorization: Bearer $UP4_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

DELETE /teams/{teamID}/clients/{clientID}

scope team.write stable returns 204

ParameterInTypeNotes
teamIDrequired path uuid
clientIDrequired path uuid
curl -s -X DELETE https://app.upfour.io/v1/teams/<teamID>/clients/<clientID> \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

GET /teams/{teamID}/members

scope member.write stable returns 200

ParameterInTypeNotes
teamIDrequired path uuid
curl -s https://app.upfour.io/v1/teams/<teamID>/members \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

POST /teams/{teamID}/members

scope member.write stable returns 201

ParameterInTypeNotes
teamIDrequired path uuid
curl -s -X POST https://app.upfour.io/v1/teams/<teamID>/members \
  -H "Authorization: Bearer $UP4_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

GET /teams/{teamID}/members/email/{email}

scope member.write stable returns 200

ParameterInTypeNotes
teamIDrequired path uuid
emailrequired path uuid
curl -s https://app.upfour.io/v1/teams/<teamID>/members/email/<email> \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

DELETE /teams/{teamID}/members/email/{email}

scope member.write stable returns 204

ParameterInTypeNotes
teamIDrequired path uuid
emailrequired path uuid
curl -s -X DELETE https://app.upfour.io/v1/teams/<teamID>/members/email/<email> \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

DELETE /teams/{teamID}/members/{memberID}

scope member.write stable returns 204

ParameterInTypeNotes
teamIDrequired path uuid
memberIDrequired path uuid
curl -s -X DELETE https://app.upfour.io/v1/teams/<teamID>/members/<memberID> \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

PUT /teams/{teamID}/members/{memberID}/role

scope member.write stable returns 200

ParameterInTypeNotes
teamIDrequired path uuid
memberIDrequired path uuid
curl -s -X PUT https://app.upfour.io/v1/teams/<teamID>/members/<memberID>/role \
  -H "Authorization: Bearer $UP4_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.